<?php

namespace App\Form;

use App\Entity\Clothes;
use App\Entity\Category;
use App\Entity\Ecurie;

use Symfony\Bridge\Doctrine\Form\Type\EntityType;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ClothesType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('name')
            ->add('picture')
            ->add('price')
            ->add('category', EntityType::class, [  // version 1 : SELECT
                'class' => Category::class,
                'choice_label' => 'name'
            ])
            ->add('ecurie', EntityType::class, [  // version 1 : SELECT
                'class' => Ecurie::class,
                'choice_label' => 'name'
            ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Clothes::class,
        ]);
    }
}
